Gentoo Archives: gentoo-releng-autobuilds

From: catalyst@××××××××××××××××.name
To: jmbsvicetto@×××××.com, gentoo-releng-autobuilds@l.g.o
Subject: [gentoo-releng-autobuilds] [amd64-auto] Catalyst fatal build error - hardened/stage2-selinux-nomultilib.spec
Date: Mon, 17 Sep 2018 19:57:01
Message-Id: 20180917195653.2327F62896@thor.jmbsvicetto.name
* 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 11: sed: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 11: sed: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
 * 	/bin/bash: line 12: basename: command not found
 * 	/bin/bash: line 16: dirname: command not found
[Errno 2] No such file or directory: b'/usr/bin/sandbox':
   /usr/bin/sandbox /usr/lib/portage/python3.6/misc-functions.sh die_hooks
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/portage/process.py", line 347, in spawn
    unshare_net, unshare_ipc, cgroup)
  File "/usr/lib64/python3.6/site-packages/portage/process.py", line 555, in _exec
    os.execve(binary, myargs, env)
  File "/usr/lib64/python3.6/site-packages/portage/__init__.py", line 250, in __call__
    rval = self._func(*wrapped_args, **wrapped_kwargs)
FileNotFoundError: [Errno 2] No such file or directory: b'/usr/bin/sandbox'
 * The ebuild phase 'die_hooks' has exited unexpectedly. This type of
 * behavior is known to be triggered by things such as failed variable
 * assignments (bug #190128) or bad substitution errors (bug #200313).
 * Normally, before exiting, bash should have displayed an error message
 * above. If bash did not produce an error message above, it's possible
 * that the ebuild has called `exit` when it should have called `die`
 * instead. This behavior may also be triggered by a corrupt bash binary or
 * a hardware problem such as memory or cpu malfunction. If the problem is
 * not reproducible or it appears to occur randomly, then it is likely to
 * be triggered by a hardware problem. If you suspect a hardware problem
 * then you should try some basic hardware diagnostics such as memtest.
 * Please do not report this as a bug unless it is consistently
 * reproducible and you are sure that your bash binary and hardware are
 * functioning properly.
 * Messages for package sys-apps/baselayout-2.4.1-r2:
 * The following users have non-existent shells!
 * halt - /sbin/halt
 * shutdown - /sbin/shutdown
 * You should reboot now to get /run mounted with tmpfs!
 * Messages for package sys-devel/gcc-7.3.0-r3:
 * The ebuild phase 'install' has exited unexpectedly. This type of
 * behavior is known to be triggered by things such as failed variable
 * assignments (bug #190128) or bad substitution errors (bug #200313).
 * Normally, before exiting, bash should have displayed an error message
 * above. If bash did not produce an error message above, it's possible
 * that the ebuild has called `exit` when it should have called `die`
 * instead. This behavior may also be triggered by a corrupt bash binary or
 * a hardware problem such as memory or cpu malfunction. If the problem is
 * not reproducible or it appears to occur randomly, then it is likely to
 * be triggered by a hardware problem. If you suspect a hardware problem
 * then you should try some basic hardware diagnostics such as memtest.
 * Please do not report this as a bug unless it is consistently
 * reproducible and you are sure that your bash binary and hardware are
 * functioning properly.
 * ERROR: sys-devel/gcc-7.3.0-r3::gentoo failed (install phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-7.3.0-r3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-7.3.0-r3::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-7.3.0-r3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-7.3.0-r3/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-7.3.0-r3/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-7.3.0-r3/work/build'




17 Sep 2018 19:56:51 UTC: ERROR   : CatalystError: cmd(['/usr/share/catalyst/targets/stage2/stage2-controller.sh', 'run']) exited 1
17 Sep 2018 19:56:52 UTC: ERROR   : CatalystError: Stage build aborting due to error.
17 Sep 2018 19:56:52 UTC: ERROR   : Exception running action sequence run_local
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/catalyst/base/stagebase.py", line 1355, in run_local
    env=self.env)
  File "/usr/lib64/python3.6/site-packages/catalyst/support.py", line 54, in cmd
    print_traceback=False)
catalyst.support.CatalystError: cmd(['/usr/share/catalyst/targets/stage2/stage2-controller.sh', 'run']) exited 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/catalyst/base/stagebase.py", line 1455, in run
    getattr(self, x)()
  File "/usr/lib64/python3.6/site-packages/catalyst/base/stagebase.py", line 1364, in run_local
    print_traceback=False)
catalyst.support.CatalystError: Stage build aborting due to error.
17 Sep 2018 19:56:52 UTC: NOTICE  : Cleaning up... Running unbind()
Command exited with non-zero status 2
4527.49user 218.24system 29:35.34elapsed 267%CPU (0avgtext+0avgdata 660040maxresident)k
0inputs+10551368outputs (0major+167655781minor)pagefaults 0swaps



Full build log at /home/release/tmp/run/catalyst-auto.20180917T030004Z.oG42j9/log/hardened_stage2-selinux-nomultilib.log